org.eclipse.ease.modules.unittest.components

## Enum TestStatus

- java.lang.Object
- - java.lang.Enum<TestStatus>
  - - org.eclipse.ease.modules.unittest.components.TestStatus

All Implemented Interfaces:
  Serializable, Comparable<TestStatus>

    public enum TestStatus
    extends Enum<TestStatus>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ERROR`
`FAILURE`
`NOT_RUN`
`PASS`
`RUNNING`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `isEqualOrBetter(TestStatus status)`
`boolean` `isEqualOrWorse(TestStatus status)`
`TestStatus` `merge(TestStatus status)`
`static TestStatus` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TestStatus[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NOT_RUN

    public static final TestStatus NOT_RUN

#### PASS

    public static final TestStatus PASS

#### ERROR

    public static final TestStatus ERROR

#### FAILURE

    public static final TestStatus FAILURE

#### RUNNING

    public static final TestStatus RUNNING

### Method Detail

#### values

    public static TestStatus[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TestStatus c : TestStatus.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TestStatus valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### merge

    public TestStatus merge(TestStatus status)

#### isEqualOrWorse

    public boolean isEqualOrWorse(TestStatus status)

#### isEqualOrBetter

    public boolean isEqualOrBetter(TestStatus status)